"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
class SearchCommand {
    constructor() {
        this.command = 'search <site>';
        this.describe = 'Searches boorus.';
    }
    builder(args) {
        return args
            .option('t', {
            alias: 'tags',
            describe: 'The tags to search for',
            type: 'array',
            default: [],
        })
            .option('e', {
            alias: 'exclude',
            describe: 'The tags to exclude',
            type: 'array',
            default: [],
        })
            .option('l', {
            alias: 'limit',
            describe: 'The limit of images to return',
            type: 'number',
            default: 1,
        })
            .option('r', {
            alias: 'random',
            describe: 'Whether or not to randomize the search',
            type: 'boolean',
        });
    }
    async handler(args) {
        const site = args.site;
        const tags = args.tags;
        const exclude = args.exclude;
        const limit = args.limit;
        const random = args.random;
        const s = await index_1.search(site, { tags, exclude, limit, random });
        console.log(s.map((image) => image.fileURL).join('\n'));
    }
}
exports.SearchCommand = SearchCommand;
